/*!
 * Vux v0.1.3 (https://vux.li)
 * Licensed under the MIT license
 */
module.exports = function(modules) {
    var installedModules = {};
    function __webpack_require__(moduleId) {
        if (installedModules[moduleId]) return installedModules[moduleId].exports;
        var module = installedModules[moduleId] = {
            exports: {},
            id: moduleId,
            loaded: false
        };
        modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
        module.loaded = true;
        return module.exports;
    }
    __webpack_require__.m = modules;
    __webpack_require__.c = installedModules;
    __webpack_require__.p = "";
    return __webpack_require__(0);
}([ function(module, exports, __webpack_require__) {
    module.exports = __webpack_require__(7);
}, function(module, exports, __webpack_require__) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
        value: true
    });
    var _icon = __webpack_require__(8);
    var _icon2 = _interopRequireDefault(_icon);
    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }
    exports.default = {
        components: {
            Icon: _icon2.default
        },
        props: {
            value: Boolean,
            type: {
                type: String,
                default: "default"
            }
        }
    };
}, function(module, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
        value: true
    });
    exports.default = {
        props: {
            type: String
        },
        computed: {
            className: function className() {
                return "weui_icon weui_icon_" + this.type;
            }
        }
    };
}, function(module, exports) {}, function(module, exports) {}, function(module, exports) {
    module.exports = ' <div class=vux-check-icon @click="value = !value"> <icon type=success v-show="type === \'default\' && value"></icon> <icon type=success_circle v-show="type === \'plain\' && value"></icon> <icon type=circle v-show=!value></icon> <span><slot></slot></span> </div> ';
}, function(module, exports) {
    module.exports = " <i class={{className}}></i> ";
}, function(module, exports, __webpack_require__) {
    var __vue_script__, __vue_template__;
    var __vue_styles__ = {};
    __webpack_require__(3);
    __vue_script__ = __webpack_require__(1);
    __vue_template__ = __webpack_require__(5);
    module.exports = __vue_script__ || {};
    if (module.exports.__esModule) module.exports = module.exports.default;
    var __vue_options__ = typeof module.exports === "function" ? module.exports.options || (module.exports.options = {}) : module.exports;
    if (__vue_template__) {
        __vue_options__.template = __vue_template__;
    }
    if (!__vue_options__.computed) __vue_options__.computed = {};
    Object.keys(__vue_styles__).forEach(function(key) {
        var module = __vue_styles__[key];
        __vue_options__.computed[key] = function() {
            return module;
        };
    });
}, function(module, exports, __webpack_require__) {
    var __vue_script__, __vue_template__;
    var __vue_styles__ = {};
    __webpack_require__(4);
    __vue_script__ = __webpack_require__(2);
    __vue_template__ = __webpack_require__(6);
    module.exports = __vue_script__ || {};
    if (module.exports.__esModule) module.exports = module.exports.default;
    var __vue_options__ = typeof module.exports === "function" ? module.exports.options || (module.exports.options = {}) : module.exports;
    if (__vue_template__) {
        __vue_options__.template = __vue_template__;
    }
    if (!__vue_options__.computed) __vue_options__.computed = {};
    Object.keys(__vue_styles__).forEach(function(key) {
        var module = __vue_styles__[key];
        __vue_options__.computed[key] = function() {
            return module;
        };
    });
} ]);